/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
export { HandyApi } from './HandyApi';

export { ApiError } from './core/ApiError';
export { BaseHttpRequest } from './core/BaseHttpRequest';
export { CancelablePromise, CancelError } from './core/CancelablePromise';
export { OpenAPI } from './core/OpenAPI';
export type { OpenAPIConfig } from './core/OpenAPI';

export { BASEModeErrors } from './models/BASEModeErrors';
export { Branch } from './models/Branch';
export type { Connected } from './models/Connected';
export type { ConnectedResponse } from './models/ConnectedResponse';
export type { ConnectionKey } from './models/ConnectionKey';
export type { Duration } from './models/Duration';
export type { ErrorResponse } from './models/ErrorResponse';
export { Events } from './models/Events';
export { FirmwareStatus } from './models/FirmwareStatus';
export type { FirmwareVersion } from './models/FirmwareVersion';
export type { FixedPos } from './models/FixedPos';
export type { GenericError } from './models/GenericError';
export { GenericResult } from './models/GenericResult';
export type { GenericResultResponse } from './models/GenericResultResponse';
export { HAMPModeErrors } from './models/HAMPModeErrors';
export type { HAMPResponse } from './models/HAMPResponse';
export type { HAMPStartResponse } from './models/HAMPStartResponse';
export { HAMPState } from './models/HAMPState';
export type { HAMPStopResponse } from './models/HAMPStopResponse';
export type { HAMPVelocityPercent } from './models/HAMPVelocityPercent';
export type { HAMPVelocityPercentResponse } from './models/HAMPVelocityPercentResponse';
export type { HardwareVersion } from './models/HardwareVersion';
export { HDSPModeErrors } from './models/HDSPModeErrors';
export type { HDSPRequest } from './models/HDSPRequest';
export type { HDSPResponse } from './models/HDSPResponse';
export { HDSPResult } from './models/HDSPResult';
export type { HDSPTimeRequest } from './models/HDSPTimeRequest';
export { HSSPModeErrors } from './models/HSSPModeErrors';
export type { HSSPPlay } from './models/HSSPPlay';
export type { HSSPPlayResponse } from './models/HSSPPlayResponse';
export { HSSPPlayResult } from './models/HSSPPlayResult';
export type { HSSPResponse } from './models/HSSPResponse';
export { HSSPSetupResult } from './models/HSSPSetupResult';
export { HSSPState } from './models/HSSPState';
export type { InfoResponse } from './models/InfoResponse';
export type { Looping } from './models/Looping';
export type { LoopSettingResponse } from './models/LoopSettingResponse';
export type { LoopSettingUpdate } from './models/LoopSettingUpdate';
export { MAINTENANCEModeErrors } from './models/MAINTENANCEModeErrors';
export { Mode } from './models/Mode';
export { Model } from './models/Model';
export type { ModeUpdate } from './models/ModeUpdate';
export { ModeUpdateResponse } from './models/ModeUpdateResponse';
export type { NextXAT } from './models/NextXAT';
export type { NextXAVA } from './models/NextXAVA';
export type { NextXPT } from './models/NextXPT';
export type { NextXPVA } from './models/NextXPVA';
export type { NextXPVP } from './models/NextXPVP';
export type { Offset } from './models/Offset';
export type { OffsetResponse } from './models/OffsetResponse';
export type { OffsetUpdate } from './models/OffsetUpdate';
export type { OtaLatest } from './models/OtaLatest';
export type { OtaLatestResponse } from './models/OtaLatestResponse';
export type { Outliers } from './models/Outliers';
export type { PercentValue } from './models/PercentValue';
export type { PositionAbsolute } from './models/PositionAbsolute';
export type { PositionAbsoluteResponse } from './models/PositionAbsoluteResponse';
export type { RPCResult } from './models/RPCResult';
export type { ServerTimeResponse } from './models/ServerTimeResponse';
export type { SessionId } from './models/SessionId';
export type { SettingsResponse } from './models/SettingsResponse';
export type { Setup } from './models/Setup';
export type { Sha256 } from './models/Sha256';
export type { SlideResponse } from './models/SlideResponse';
export { SlideResult } from './models/SlideResult';
export type { SlideResultResponse } from './models/SlideResultResponse';
export type { SliderMaxResponse } from './models/SliderMaxResponse';
export type { SliderMinResponse } from './models/SliderMinResponse';
export type { SlideSettings } from './models/SlideSettings';
export type { SlideUpdateResponse } from './models/SlideUpdateResponse';
export { StateResult } from './models/StateResult';
export type { StatusResponse } from './models/StatusResponse';
export type { SyncCount } from './models/SyncCount';
export type { SyncResponse } from './models/SyncResponse';
export type { Timestamp } from './models/Timestamp';
export type { UpdatePerform } from './models/UpdatePerform';
export { UpdateStatusResponse } from './models/UpdateStatusResponse';
export type { Url } from './models/Url';
export type { VelocityAbsolute } from './models/VelocityAbsolute';
export type { WebHook } from './models/WebHook';
export type { WebHookOpts } from './models/WebHookOpts';

export { $BASEModeErrors } from './schemas/$BASEModeErrors';
export { $Branch } from './schemas/$Branch';
export { $Connected } from './schemas/$Connected';
export { $ConnectedResponse } from './schemas/$ConnectedResponse';
export { $ConnectionKey } from './schemas/$ConnectionKey';
export { $Duration } from './schemas/$Duration';
export { $ErrorResponse } from './schemas/$ErrorResponse';
export { $Events } from './schemas/$Events';
export { $FirmwareStatus } from './schemas/$FirmwareStatus';
export { $FirmwareVersion } from './schemas/$FirmwareVersion';
export { $FixedPos } from './schemas/$FixedPos';
export { $GenericError } from './schemas/$GenericError';
export { $GenericResult } from './schemas/$GenericResult';
export { $GenericResultResponse } from './schemas/$GenericResultResponse';
export { $HAMPModeErrors } from './schemas/$HAMPModeErrors';
export { $HAMPResponse } from './schemas/$HAMPResponse';
export { $HAMPStartResponse } from './schemas/$HAMPStartResponse';
export { $HAMPState } from './schemas/$HAMPState';
export { $HAMPStopResponse } from './schemas/$HAMPStopResponse';
export { $HAMPVelocityPercent } from './schemas/$HAMPVelocityPercent';
export { $HAMPVelocityPercentResponse } from './schemas/$HAMPVelocityPercentResponse';
export { $HardwareVersion } from './schemas/$HardwareVersion';
export { $HDSPModeErrors } from './schemas/$HDSPModeErrors';
export { $HDSPRequest } from './schemas/$HDSPRequest';
export { $HDSPResponse } from './schemas/$HDSPResponse';
export { $HDSPResult } from './schemas/$HDSPResult';
export { $HDSPTimeRequest } from './schemas/$HDSPTimeRequest';
export { $HSSPModeErrors } from './schemas/$HSSPModeErrors';
export { $HSSPPlay } from './schemas/$HSSPPlay';
export { $HSSPPlayResponse } from './schemas/$HSSPPlayResponse';
export { $HSSPPlayResult } from './schemas/$HSSPPlayResult';
export { $HSSPResponse } from './schemas/$HSSPResponse';
export { $HSSPSetupResult } from './schemas/$HSSPSetupResult';
export { $HSSPState } from './schemas/$HSSPState';
export { $InfoResponse } from './schemas/$InfoResponse';
export { $Looping } from './schemas/$Looping';
export { $LoopSettingResponse } from './schemas/$LoopSettingResponse';
export { $LoopSettingUpdate } from './schemas/$LoopSettingUpdate';
export { $MAINTENANCEModeErrors } from './schemas/$MAINTENANCEModeErrors';
export { $Mode } from './schemas/$Mode';
export { $Model } from './schemas/$Model';
export { $ModeUpdate } from './schemas/$ModeUpdate';
export { $ModeUpdateResponse } from './schemas/$ModeUpdateResponse';
export { $NextXAT } from './schemas/$NextXAT';
export { $NextXAVA } from './schemas/$NextXAVA';
export { $NextXPT } from './schemas/$NextXPT';
export { $NextXPVA } from './schemas/$NextXPVA';
export { $NextXPVP } from './schemas/$NextXPVP';
export { $Offset } from './schemas/$Offset';
export { $OffsetResponse } from './schemas/$OffsetResponse';
export { $OffsetUpdate } from './schemas/$OffsetUpdate';
export { $OtaLatest } from './schemas/$OtaLatest';
export { $OtaLatestResponse } from './schemas/$OtaLatestResponse';
export { $Outliers } from './schemas/$Outliers';
export { $PercentValue } from './schemas/$PercentValue';
export { $PositionAbsolute } from './schemas/$PositionAbsolute';
export { $PositionAbsoluteResponse } from './schemas/$PositionAbsoluteResponse';
export { $RPCResult } from './schemas/$RPCResult';
export { $ServerTimeResponse } from './schemas/$ServerTimeResponse';
export { $SessionId } from './schemas/$SessionId';
export { $SettingsResponse } from './schemas/$SettingsResponse';
export { $Setup } from './schemas/$Setup';
export { $Sha256 } from './schemas/$Sha256';
export { $SlideResponse } from './schemas/$SlideResponse';
export { $SlideResult } from './schemas/$SlideResult';
export { $SlideResultResponse } from './schemas/$SlideResultResponse';
export { $SliderMaxResponse } from './schemas/$SliderMaxResponse';
export { $SliderMinResponse } from './schemas/$SliderMinResponse';
export { $SlideSettings } from './schemas/$SlideSettings';
export { $SlideUpdateResponse } from './schemas/$SlideUpdateResponse';
export { $StateResult } from './schemas/$StateResult';
export { $StatusResponse } from './schemas/$StatusResponse';
export { $SyncCount } from './schemas/$SyncCount';
export { $SyncResponse } from './schemas/$SyncResponse';
export { $Timestamp } from './schemas/$Timestamp';
export { $UpdatePerform } from './schemas/$UpdatePerform';
export { $UpdateStatusResponse } from './schemas/$UpdateStatusResponse';
export { $Url } from './schemas/$Url';
export { $VelocityAbsolute } from './schemas/$VelocityAbsolute';
export { $WebHook } from './schemas/$WebHook';
export { $WebHookOpts } from './schemas/$WebHookOpts';

export { BaseService } from './services/BaseService';
export { HampService } from './services/HampService';
export { HdspService } from './services/HdspService';
export { HsspService } from './services/HsspService';
export { HstpService } from './services/HstpService';
export { MaintenanceService } from './services/MaintenanceService';
export { OtaService } from './services/OtaService';
export { SlideService } from './services/SlideService';
export { TimesyncService } from './services/TimesyncService';
